Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IUndoableEdit

public interface IUndoableEdit

Interface fuer UndoableEditEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer UndoableEditEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addUndoableEditListener(UndoableEditListener listener)` Fuegt dem Control den uebergebenen Listener als UndoableEditListener hinzu.
`String` | `getActionClassForUndoableEdit()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein UndoableEditEvent ausgeloest wurde.
`void` | `removeUndoableEditListener(UndoableEditListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForUndoableEdit(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein UndoableEditEvent ausgeloest wurde.

Method Detail

### getActionClassForUndoableEdit

    public String getActionClassForUndoableEdit()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein UndoableEditEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer UndoableEditEvent.

### setActionClassForUndoableEdit

    public void setActionClassForUndoableEdit(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein UndoableEditEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer UndoableEditEvent.

### addUndoableEditListener

    public void addUndoableEditListener(UndoableEditListener listener)

  Fuegt dem Control den uebergebenen Listener als UndoableEditListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende UndoableEditListener.

### removeUndoableEditListener

    public void removeUndoableEditListener(UndoableEditListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD